Summary: Graphical FM-Tuner program for GNOME
Name: gnomeradio
Version: 1.8
Release: 3%{?dist}
License: GPLv2+
Group: Applications/Multimedia
URL: http://www.wh-hms.uni-ulm.de/~mfcn/gnomeradio/
Source: http://www.wh-hms.uni-ulm.de/~mfcn/gnomeradio/packages/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: gnome-doc-utils
BuildRequires: gnome-media-devel
BuildRequires: gstreamer-devel
BuildRequires: gstreamer-plugins-base-devel
BuildRequires: intltool
BuildRequires: libgnomeui-devel
BuildRequires: lirc-devel
BuildRequires: scrollkeeper
Requires(pre): GConf2
Requires(preun): GConf2
Requires(post): GConf2
Requires(post): scrollkeeper
Requires(postun): scrollkeeper

%description
Gnomeradio is a FM-radio tuner for the GNOME desktop. It should work with
every FM tuner card that is supported by video4linux. Remote controls are
supported via LIRC-support. Gnomeradio can also record radio as a Wave or
Ogg files.

%prep
%setup -q

%build
%configure \
	--disable-schemas-install \
	--disable-install-schemas \
	--disable-scrollkeeper
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL="1"
%{__make} DESTDIR=%{buildroot} install
%find_lang %{name}

echo "Encoding=UTF-8" >> %{buildroot}%{_datadir}/applications/%{name}.desktop
desktop-file-install \
	--dir=%{buildroot}%{_datadir}/applications \
	--vendor=fedora \
	--add-category=Audio \
	--add-category=Tuner \
	--add-category=GNOME \
	--add-category=GTK \
	--delete-original \
	%{buildroot}%{_datadir}/applications/%{name}.desktop

# Fix docs encoding
for file in AUTHORS ChangeLog README ; do
iconv -f iso8859-1 -t utf8 $file > $file.utf8 && touch -r $file $file.utf8 && mv $file.utf8 $file
done

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/%{name}.schemas >/dev/null || :
    killall -HUP gconfd-2 >/dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
    killall -HUP gconfd-2 >/dev/null || :
fi

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
killall -HUP gconfd-2 >/dev/null || :

scrollkeeper-update -q -o %{_datadir}/omf/%{name} || :

%postun
scrollkeeper-update -q || :

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.lang
%defattr(644,root,root,0755)
%doc AUTHORS ChangeLog COPYING README README.lirc README.recording
%{_datadir}/gnome/help/%{name}/
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%attr(755,root,root) %{_bindir}/%{name}
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/omf/%{name}/
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg

%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Oct 31 2008 Dominik Mierzejewski <rpm@greysector.net> - 1.8-1
- update to 1.8
- drop obsolete patch
- fixes failed assertion when editing presets (bug #448315)
- preserve timestamps on doc files
- bring back ppc* builds

* Sun Mar 09 2008 Dominik Mierzejewski <rpm@greysector.net> - 1.7-6
- disable ppc*, because of missing gnome-media(-devel) (bug #435771)

* Sat Feb 23 2008 Dominik Mierzejewski <rpm@greysector.net> - 1.7-5
- backport some segfault fixes from SVN

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.7-4
- Autorebuild for GCC 4.3

* Wed Aug 29 2007 Dominik Mierzejewski <rpm@greysector.net> - 1.7-3
- one more missing BR
- fix building of help

* Wed Aug 29 2007 Karol Trzcionka <karlikt at gmail.com> - 1.7-2
- Rebuild for BuildID

* Tue Mar 27 2007 Dominik Mierzejewski <rpm@greysector.net> - 1.7-1
- updated to 1.7
- added new missing BRs
- fix make install

* Fri Sep 08 2006 Dominik Mierzejewski <rpm@greysector.net> - 1.6-3
- removed redundant pkgconfig BR

* Sun Apr 02 2006 Dominik Mierzejewski <rpm@greysector.net> - 1.6-2
- shut up gconfd not killed warning
- add missing gettext and lirc-devel BRs
- simplify BRs

* Sat Jan 07 2006 Dominik Mierzejewski <rpm@greysector.net> - 1.6-1
- FE compliance
- more detailed description

* Fri Jan 06 2006 Dominik Mierzejewski <rpm@greysector.net>
- specfile cleanups

* Fri Oct 21 2005 Dominik Mierzejewski <rpm@greysector.net>
- Updated to 1.6

* Sat Nov 06 2004 Dag Wieers <dag@wieers.com> - 1.4-1                                        
- Fixed build problem with gnome 2.6+. (Alan Cox)

* Fri Jan 31 2003 Dag Wieers <dag@wieers.com> - 1.4-0
- Initial package. (using DAR)
